Bug 964998 - can't change component
can't change component
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Simon Green
tools-bugs
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-20 05:25 EDT by Marcela Mašláňová
Modified: 2014-10-12 18:50 EDT (History)
5 users (show)

See Also:
Fixed In Version: 4.4rc2-3.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-22 22:10:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot for comment7 (132.52 KB, image/png)
2013-05-22 07:49 EDT, wangjing
no flags Details

  None (edit)
Description Marcela Mašláňová 2013-05-20 05:25:26 EDT
I can't change a component. I tried rhbz#963749 and also rhbz#718422. After clik on edit of component, the field turn gray and I can't list through the list.
Comment 1 Simon Green 2013-05-20 06:28:27 EDT
Definitely needs to be included for the next hotfix.

  -- simon
Comment 2 Alasdair Kergon 2013-05-20 07:19:22 EDT
Disabling javascript doesn't seem to fix it (there's only 1 component in the list).

However, as a workaround:

1. Change the product to something else (unticking any 'Reset assignee' boxes that are ticked) and change the fields it prompts you to change;

2. Change the product back to the original product and from the second screen you can select the component you actually want to use.

Take care to put the other fields back to how they were.
Comment 4 Simon Green 2013-05-20 09:07:54 EDT
Just a note that we have turned off the AJAXy stuff on the show bug page as an interium message so you can now change components again.

The above patch actually fixes the problem, but won't be implemented until the next hotfix is applied.

  -- simon
Comment 5 wangjing 2013-05-22 03:43:11 EDT
tested on qe test env version 4.4.rc2-3.1(20130522) --> fail

Verify steps:
1. login as redhat account.
2. open show bug page of bug 718422.
3. click 'edit' beside component field to change a component.

then expected results:
the component field should not  turn gray and it could list the components for selected. 

Actual results:
the component field turned gray and couldn't clicked.
Comment 7 wangjing 2013-05-22 07:49:51 EDT
Created attachment 751669 [details]
screenshot for comment7

tested on prod env(version 4.4.rc2-3.1), the same appearance, attached the screenshot.
Comment 8 Simon Green 2013-05-22 22:10:01 EDT
It does work, it just takes some time to generate the list. I have created bug 966304 so that there is visual indication that the list is being retrieved.

Note You need to log in before you can comment on or make changes to this bug.